- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SolverOutput Class Reference

The SolverOutput Class. More...

`#include <OSResult.h>`

Collaboration diagram for SolverOutput:

[legend]
List of all members.

## Public Member Functions
| SolverOutput ()
| Default constructor.
| ~SolverOutput ()
| Class destructor.
bool | IsEqual (SolverOutput *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | name
| the name of the result the user is defining
std::string | category
| this element allows a specific category to be associated with this particular type of result
std::string | description
| a brief description of the type of result
int | numberOfItems
| the number of items contained in this otherSolutionResult
std::string * | item
| an array of items (string-valued)

## Detailed Description

The SolverOutput Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with the solution.

Definition at line 2026 of file OSResult.h.

## Constructor & Destructor Documentation

SolverOutput::SolverOutput | ( |  | ) |

Default constructor.

Definition at line 946 of file OSResult.cpp.

SolverOutput::~SolverOutput | ( |  | ) |

Class destructor.

Definition at line 959 of file OSResult.cpp.

References item.

## Member Function Documentation

bool SolverOutput::IsEqual | ( | SolverOutput * | that | ) |

A function to check for the equality of two objects.

Definition at line 7182 of file OSResult.cpp.

bool SolverOutput::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8306 of file OSResult.cpp.

Referenced by OtherSolverOutput::setRandom().

## Member Data Documentation

std::string SolverOutput::name

the name of the result the user is defining

Definition at line 2030 of file OSResult.h.

std::string SolverOutput::category

this element allows a specific category to be associated with this particular type of result

Definition at line 2035 of file OSResult.h.

std::string SolverOutput::description

a brief description of the type of result

Definition at line 2038 of file OSResult.h.

int SolverOutput::numberOfItems

the number of items contained in this otherSolutionResult

Definition at line 2042 of file OSResult.h.

std::string* SolverOutput::item

an array of items (string-valued)

Definition at line 2046 of file OSResult.h.

Referenced by ~SolverOutput().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp